%define section free

Summary:        Quartz Enterprise Job Scheduler
Name:           quartz
Version:        1.4.5
Release:        1jpp
Epoch:          0
License:        Apache Software License -style
URL:            http://www.opensymphony.com/quartz/
Group:          Development/Libraries
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        %{name}-%{version}.zip
#Patch0:         %{name}-%{version}-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6
BuildRequires:  junit
BuildRequires:  java >= 0:1.4
BuildRequires:  ejb >= 0:2.1
BuildRequires:  jaf
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-pool
BuildRequires:  jboss4-server
BuildRequires:  jboss4-jmx
BuildRequires:  jboss4-common
BuildRequires:  jboss4-system
BuildRequires:  javamail
BuildRequires:  jta
BuildRequires:  log4j
BuildRequires:  mx4j
BuildRequires:  servletapi5
BuildRequires:  oracle-jdbc-thin-java14

Requires:  java >= 0:1.4
Requires:  jaf
Requires:  jakarta-commons-beanutils
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-dbcp
Requires:  jakarta-commons-digester
Requires:  jakarta-commons-logging
Requires:  jakarta-commons-pool
Requires:  javamail
Requires:  log4j
Requires:  servletapi5

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Quartz is a job scheduling system that can be integrated with, or used 
along side virtually any J2EE or J2SE application. Quartz can be used 
to create simple or complex schedules for executing tens, hundreds, or 
even tens-of-thousands of jobs; jobs whose tasks are defined as standard 
Java components or EJBs. 

%package demo
Summary:        Examples for %{name}
Group:          Development/Documentation
Requires:       quartz = 0:%{version}

%description demo
Examples for %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
Manual for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# 
sed -e 's+lib\.jboss-common\.jar=.*$+lib\.jboss-common\.jar=/usr/share/java/jboss4/jboss-common\.jar+' \
	-e 's+lib\.jboss-jmx\.jar=.*$+lib\.jboss-jmx\.jar=/usr/share/java/jboss4/jboss-jmx\.jar+' \
	-e 's+lib\.jboss-system\.jar=.*$+lib\.jboss-system\.jar=/usr/share/java/jboss4/jboss-system\.jar+' \
	-e 's+lib\.jboss\.jar=.*$+lib\.jboss\.jar=/usr/share/java/jboss4/jboss\.jar+' \
	build.properties > build.properties.mod
cp build.properties.mod build.properties
rm build.properties.mod
pushd lib
ln -s $(find-jar oracle-jdbc-thin) classes12.zip
ln -s $(find-jar servletapi5) servlet.jar
ln -s $(find-jar commons-dbcp) commons-dbcp-1.1.jar
ln -s $(find-jar jta) jta.jar 
ln -s $(find-jar mx4j/mx4j-jmx) jmx.jar 
ln -s $(find-jar ejb) ejb.jar 
ln -s $(find-jar commons-beanutils) commons-beanutils.jar
ln -s $(find-jar commons-digester) commons-digester.jar
ln -s $(find-jar jdbc-stdext) jdbc2_0-stdext.jar 
ln -s $(find-jar jaf) activation.jar 
ln -s $(find-jar javamail) javamail.jar 
ln -s $(find-jar commons-collections) commons-collections.jar
ln -s $(find-jar commons-logging) commons-logging.jar 
ln -s $(find-jar commons-pool) commons-pool-1.1.jar
ln -s $(find-jar log4j) log4j.jar
ln -s $(find-jar junit) junit.jar
popd
rm src/java/main/org/quartz/impl/jdbcjobstore/oracle/WebLogicOracleDelegate.java

#%patch0 -b .sav

%build
ant all

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

rm -rf docs/javadoc

# manual
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp readme.txt $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp license.txt $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp releaseNotes.txt $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/doc/%{name} # ghost symlink

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/readme.txt
%{_docdir}/%{name}-%{version}/license.txt
%{_docdir}/%{name}-%{version}/releaseNotes.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}
%{_datadir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_datadir}/doc/%{name}-%{version}
%{_datadir}/doc/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog
* Thu Sep 15 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.4.5-1jpp
- Upgrade to 1.4.5

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.4.2-1jpp
- Upgrade to 1.4.2
- Relax some versioned dependencies

* Wed Aug 25 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.2.3-2jpp
- Require ant > 1.6
- Update to servletapi5
- Rebuild with Ant 1.6.2

* Mon Jan 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.2.3-1jpp
- First JPackage build
